Build #8 for aeson-lens-0.1.0.1

[all reports]

Package aeson-lens-0.1.0.1
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-23 15:55:40.580166 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies aeson-1.0.2.1, base-4.9.0.0, bytestring-0.10.8.1, lens-4.15.1, text-1.2.2.1, unordered-containers-0.2.7.1, vector-0.11.0.0
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring base-compat-0.9.1...
Configuring base-orphans-0.5.4...
Building base-orphans-0.5.4...
Building base-compat-0.9.1...
Installed base-orphans-0.5.4
Configuring dlist-0.8.0.2...
Building dlist-0.8.0.2...
Configuring mtl-2.2.1...
Installed base-compat-0.9.1
Building mtl-2.2.1...
Configuring parallel-3.2.1.0...
Installed dlist-0.8.0.2
Building parallel-3.2.1.0...
Configuring primitive-0.6.1.0...
Installed parallel-3.2.1.0
Building primitive-0.6.1.0...
Configuring reflection-2.1.2...
Installed mtl-2.2.1
Building reflection-2.1.2...
Configuring prelude-extras-0.4.0.3...
Installed primitive-0.6.1.0
Building prelude-extras-0.4.0.3...
Configuring stm-2.4.4.1...
Installed reflection-2.1.2
Building stm-2.4.4.1...
Configuring semigroups-0.18.2...
Installed prelude-extras-0.4.0.3
Building semigroups-0.18.2...
Configuring time-locale-compat-0.1.1.3...
Installed stm-2.4.4.1
Building time-locale-compat-0.1.1.3...
Configuring text-1.2.2.1...
Installed semigroups-0.18.2
Configuring transformers-compat-0.5.1.4...
Installed time-locale-compat-0.1.1.3
Building text-1.2.2.1...
Building transformers-compat-0.5.1.4...
Installed transformers-compat-0.5.1.4
Configuring StateVar-1.1.0.4...
Building StateVar-1.1.0.4...
Configuring vector-0.11.0.0...
Installed StateVar-1.1.0.4
Building vector-0.11.0.0...
Configuring tagged-0.8.5...
Installed text-1.2.2.1
Building tagged-0.8.5...
Configuring exceptions-0.8.3...
Installed tagged-0.8.5
Building exceptions-0.8.3...
Installed exceptions-0.8.3
Configuring distributive-0.5.0.2...
Building distributive-0.5.0.2...
Configuring hashable-1.2.4.0...
Installed vector-0.11.0.0
Building hashable-1.2.4.0...
Installed distributive-0.5.0.2
Installed hashable-1.2.4.0
Configuring scientific-0.3.4.9...
Configuring unordered-containers-0.2.7.1...
Building scientific-0.3.4.9...
Building unordered-containers-0.2.7.1...
Configuring void-0.7.1...
Installed scientific-0.3.4.9
Building void-0.7.1...
Installed void-0.7.1
Configuring attoparsec-0.13.1.0...
Building attoparsec-0.13.1.0...
Configuring contravariant-1.4...
Installed unordered-containers-0.2.7.1
Building contravariant-1.4...
Installed contravariant-1.4
Configuring comonad-5...
Installed attoparsec-0.13.1.0
Configuring aeson-1.0.2.1...
Building aeson-1.0.2.1...
Building comonad-5...
Installed comonad-5
Configuring bifunctors-5.4.1...
Building bifunctors-5.4.1...
Installed bifunctors-5.4.1
Configuring semigroupoids-5.1...
Building semigroupoids-5.1...
Configuring profunctors-5.2...
Installed aeson-1.0.2.1
Building profunctors-5.2...
Installed semigroupoids-5.1
Installed profunctors-5.2
Configuring free-4.12.4...
Building free-4.12.4...
Installed free-4.12.4
Configuring adjunctions-4.3...
Building adjunctions-4.3...
Installed adjunctions-4.3
Configuring kan-extensions-5.0.1...
Building kan-extensions-5.0.1...
Installed kan-extensions-5.0.1
Configuring lens-4.15.1...
Building lens-4.15.1...
Installed lens-4.15.1
Configuring aeson-lens-0.1.0.1...
Building aeson-lens-0.1.0.1...
Failed to install aeson-lens-0.1.0.1
Build log ( /home/builder/.cabal/logs/aeson-lens-0.1.0.1.log ):
cabal: Entering directory '/tmp/cabal-tmp-12005/aeson-lens-0.1.0.1'
Configuring aeson-lens-0.1.0.1...
Building aeson-lens-0.1.0.1...
Preprocessing library aeson-lens-0.1.0.1...
[1 of 1] Compiling Data.Aeson.Lens  ( Data/Aeson/Lens.hs, dist/build/Data/Aeson/Lens.o )

Data/Aeson/Lens.hs:31:15: error:
    Not in scope: type constructor or class ‘SimpleIndexedLens’

Data/Aeson/Lens.hs:80:11: error:
    Not in scope: type constructor or class ‘SimpleIndexedLens’

Data/Aeson/Lens.hs:101:11: error:
    Not in scope: type constructor or class ‘SimpleIndexedLens’
cabal: Leaving directory '/tmp/cabal-tmp-12005/aeson-lens-0.1.0.1'
cabal: Error: some packages failed to install:
aeson-lens-0.1.0.1 failed during the building phase. The exception was:
ExitFailure 1